TaskAttemptFinishingMonitor (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app, class: TaskAttemptFinishingMonitor

Package org.apache.hadoop.mapreduce.v2.app

# Class TaskAttemptFinishingMonitor

java.lang.Object
org.apache.hadoop.service.AbstractService
org.apache.hadoop.yarn.util.AbstractLivelinessMonitor<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId>
org.apache.hadoop.mapreduce.v2.app.TaskAttemptFinishingMonitor

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.service.Service`

public class TaskAttemptFinishingMonitor extends org.apache.hadoop.yarn.util.AbstractLivelinessMonitor<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId>
This class generates TA_TIMED_OUT if the task attempt stays in FINISHING state for too long.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

  `org.apache.hadoop.service.Service.STATE`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.util.AbstractLivelinessMonitor

  `DEFAULT_EXPIRE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskAttemptFinishingMonitor(org.apache.hadoop.yarn.event.EventHandler eventHandler)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `expire(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id)`
  `void`
  `init(org.apache.hadoop.conf.Configuration conf)`

  ### Methods inherited from class org.apache.hadoop.yarn.util.AbstractLivelinessMonitor

  `getExpireInterval, receivedPing, register, register, resetTimer, serviceStart, serviceStop, setExpireInterval, setMonitorInterval, setResetTimeOnStart, unregister`

  ### Methods inherited from class org.apache.hadoop.service.AbstractService

  `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, serviceInit, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskAttemptFinishingMonitor

    public TaskAttemptFinishingMonitor(org.apache.hadoop.yarn.event.EventHandler eventHandler)

- ## Method Details

  - ### init

    public void init(org.apache.hadoop.conf.Configuration conf)
    Specified by:
      `init` in interface `org.apache.hadoop.service.Service`
    Overrides:
      `init` in class `org.apache.hadoop.service.AbstractService`

  - ### expire

    protected void expire(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id)
    Specified by:
      `expire` in class `org.apache.hadoop.yarn.util.AbstractLivelinessMonitor<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId>`